### Signal

# Vips TargetCustom::seek

#### Declaration

    gint64
    seek (
      VipsTargetCustom* self,
      gint64 offset,
      gint whence,
      gpointer user_data
    )

#### Description [src]

This signal is emitted to seek the target. The handler should change the target position appropriately.

The handler for an unseekable target should always return -1.

Default handler:
Signal can be directly emitted on objects from user code

#### Parameters

`offset`

  Type: `gint64`

  `gint64`, seek offset.

`whence`

  Type: `gint`

  `gint`, seek origin.

#### Return value

Type: `gint64`

The new seek position.